L3SYS-QUERY(1)

NAME
l3sys-query

SYNOPSIS
 Usage l3sys-query <cmd> [<options>] [<args>]

DESCRIPTION
The l3sys-query script provides a method for TeX runs to obtain system information via shell escape to Lua. The facilities are more limited than the similar Java script texosquery, but since it uses Lua, l3sys-query can be used 'out of the box' with any install TeX system. The script is written taking account of TeX Live security requirement; it is therefore suitable for use with restricted shell escape, the standard setting when installing a TeX system.